Update an embedding chunk
curl --request PUT \
--url https://pria.praxislxp.com/api/user/embedding/{id} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"chunkText": "Updated paragraph text from the document..."
}
'import requests
url = "https://pria.praxislxp.com/api/user/embedding/{id}"
payload = { "chunkText": "Updated paragraph text from the document..." }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({chunkText: 'Updated paragraph text from the document...'})
};
fetch('https://pria.praxislxp.com/api/user/embedding/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Embedding updated!"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}RAG
Update an embedding chunk
Updates an existing embedding chunk. When chunkText is modified, the vector
embedding is automatically regenerated to keep the semantic search index in sync
with the text content.
PUT
/
api
/
user
/
embedding
/
{id}
Update an embedding chunk
Authorizations
JWT token passed in x-access-token header
Path Parameters
Embedding chunk ID
Body
application/json
Updated chunk text. When modified, the vector embedding is automatically regenerated.
Example:
"Updated paragraph text from the document..."
Was this page helpful?
⌘I